YUI Flash Component Documentation | All Packages | All Classes | Index | Frames No Frames |
Class JSONToken

Package | com.adobe.serialization.json
Class | public class JSONToken

Public Properties

| Property | Defined by
--- | --- | ---
|  | type : int Returns the type of the token. | JSONToken
|  | value : Object Gets the value of the token | JSONToken

Public Methods

| Method | Defined by
--- | --- | ---
|  | JSONToken(type:int = -1, value:Object = null) Creates a new JSONToken with a specific token type and value. | JSONToken

Property detail

type | property

`type:int` [read-write]

Returns the type of the token.

Implementation
`public function get type():int`
`public function set type(value:int):void`

See also

com.adobe.serialization.json.JSONTokenType

value | property |

`value:Object` [read-write]

Gets the value of the token

Implementation
`public function get value():Object`
`public function set value(value:Object):void`

See also

com.adobe.serialization.json.JSONTokenType
Constructor detail

JSONToken | () | constructor

`public function JSONToken(type:int = -1, value:Object = null)`

Creates a new JSONToken with a specific token type and value.

Parameters

| `type:int` (default = `-1`)`` — The JSONTokenType of the token
| `value:Object` (default = `null`)`` — The value of the token